Subject: Re: bug#59631: 29.0.50; [PATCH] New check-man target to check man pages for errors

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Dec 2022 16:39:02 +0200

On December 3, 2022 4:20:50 PM GMT+02:00, Stefan Kangas <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > AFAICT, the pipeline is simple:
> >
> >  soelim FILE | preconv -e UTF-8 | groff -mandoc -Z -wall -wmac -Tutf8 > /dev/null
> 
> My concern is that the command is more brittle in the face of changes,
> and also all the extra "echo" stuff that man-db is doing (probably
> because I don't understand what it's doing).
> 
> I'm thinking that we could provide the above in case man-db isn't
> available.  Is there any way to auto-detect that?  If not, how about
> putting this behind a flag?
> 

Nah, just install your variant.  It isn't worth the hassle to do anything more complex.  I have the command in my notes and will use it if and when required.